<mat-toolbar color="primary">
  <mat-toolbar-row class="mat-elevation-z4">
    <a mat-button class="home-link" (click)="navigate('')"><img src="/assets/dist/images/beezina-icon-sm.ico"></a>
    <a mat-button (click)="navigate('projects')" *ngIf="!hasUserLogged">Projects</a>
    <a mat-button (click)="navigate('dashboard')" *ngIf="hasUserLogged">Dashboard</a>
    <span class="example-spacer"></span>
    <div *ngIf="hasUserLogged">
      <button [matMenuTriggerFor]="menu" mat-button>
        <mat-icon>account_circle</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item>
          <mat-icon>account_circle</mat-icon>
          Profile
        </button>
        <button (click)="logout()" mat-menu-item>
          <mat-icon>logout</mat-icon>
          Logout
        </button>
      </mat-menu>
    </div>
    <div *ngIf="!hasUserLogged">
      <a mat-button (click)="navigate('login')">Login</a>
      <a mat-button (click)="navigate('register')">Sign in</a>
    </div>
  </mat-toolbar-row>
</mat-toolbar>
